Listar Notas Fiscais
curl --request GET \
--url https://api.spedy.com.br/v1/service-invoices \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.spedy.com.br/v1/service-invoices"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.spedy.com.br/v1/service-invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"pageCount": 123,
"pageSize": 123,
"hasNext": true,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationId": "<string>",
"issuedOn": "2023-11-07T05:31:56Z",
"effectiveDate": "2023-11-07T05:31:56Z",
"receiver": {
"name": "<string>",
"federalTaxNumber": "<string>",
"stateTaxNumber": "<string>",
"suframaTaxNumber": "<string>",
"cityTaxNumber": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"address": {
"street": "<string>",
"district": "<string>",
"postalCode": "<string>",
"number": "<string>",
"additionalInformation": "<string>",
"city": {
"name": "<string>",
"state": "<string>",
"code": 123
},
"country": "<string>"
}
},
"company": {
"name": "<string>",
"legalName": "<string>",
"federalTaxNumber": "<string>",
"stateTaxNumber": "<string>",
"cityTaxNumber": "<string>"
},
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-11-07T05:31:56Z",
"transactionId": "<string>"
},
"authorization": {
"date": "2023-11-07T05:31:56Z",
"protocol": "<string>",
"digestValue": "<string>"
},
"amount": 123,
"number": 123,
"processingDetail": {
"message": "<string>",
"code": "<string>",
"on": "2023-11-07T05:31:56Z"
},
"description": "<string>",
"totals": {
"invoiceAmount": 123,
"netAmount": 123,
"issBaseTax": 123,
"irRate": 123,
"csllRate": 123,
"pisRate": 123,
"cofinsRate": 123,
"inssRate": 123,
"issRate": 123,
"issAmount": 123,
"discountUnconditionedAmount": 123,
"discountConditionedAmount": 123,
"irAmount": 123,
"pisCofinsBaseTax": 123,
"pisAmount": 123,
"cofinsAmount": 123,
"inssAmount": 123,
"csllAmount": 123,
"othersAmount": 123,
"deductionsAmount": 123,
"irWithheld": true,
"issWithheld": true,
"cofinsWithheld": true,
"inssWithheld": true,
"csllWithheld": true,
"pisWithheld": true,
"ibsStateRate": 123,
"ibsCityRate": 123,
"cbsRate": 123,
"ibsCbsBaseTax": 123,
"ibsStateAmount": 123,
"ibsCityAmount": 123,
"ibsAmount": 123,
"cbsAmount": 123,
"receivedAmount": 123
},
"rps": {
"number": 123,
"series": "<string>"
},
"location": {
"code": 123,
"name": "<string>"
},
"ibsCbs": {
"cst": 123,
"classification": 123,
"operationIndicatorCode": "<string>",
"isPersonalUse": true,
"property": {
"fiscalPropertyTaxNumber": "<string>",
"cibCode": "<string>",
"address": {
"street": "<string>",
"district": "<string>",
"postalCode": "<string>",
"number": "<string>",
"additionalInformation": "<string>",
"city": {
"name": "<string>",
"state": "<string>",
"code": 123
},
"country": "<string>"
}
}
},
"nbsCode": "<string>",
"nationalTaxationCode": "<string>",
"batchNumber": 123,
"approximateTaxes": {
"federalAmount": 123,
"federalRate": 123,
"municipalRate": 123,
"municipalAmount": 123,
"stateAmount": 123,
"stateRate": 123,
"amount": 123,
"rate": 123,
"version": "<string>",
"source": "<string>"
}
}
]
}NFS-e
Listar Notas Fiscais
Lista as notas fiscais da empresa, das mais recentes para as mais antigas, com paginação
e filtros por período de competência, status, integrationId, transactionId e dados do
destinatário.
GET
/
v1
/
service-invoices
Listar Notas Fiscais
Authorizations
Authorization By X-Api-Key inside request's header
Query Parameters
Data início de competência
Data fim de competência
Código de Transação da Venda
ID de integração
CPF / CNPJ / Doc. estrangeiro
Maximum string length:
14Nome / Nome Fantasia do tomador
E-mail do tomador
⌘I